
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>9个必须知道的实用PHP函数和功能 / iVAN</title>

    <meta name="description" content="9个必须知道的实用PHP函数和功能 即使使用 PHP 多年,也会偶然发现一些未曾了解的函数和功能.其中有些是非常有用的,但没有得到充分利用.并不是所有人都会从头到尾一页一页地阅读手册和函数参考! 1.任意参数数目的函数 你可能已经知道,PHP 允许定义可选参数的函数.但也有完全允许任意数目的函数参数的方法.以下是可选参数的例子: 以下为引用的内容: // function with 2 optional arguments function foo($arg1 = '', $arg2 = '') {  echo &quot;arg ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">9个必须知道的实用PHP函数和功能</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>即使使用 PHP 多年，也会偶然发现一些未曾了解的函数和功能。其中有些是非常有用的，但没有得到充分利用。并不是所有人都会从头到尾一页一页地阅读手册和函数参考！</p>
<p>1、任意参数数目的函数</p>
<p>你可能已经知道，PHP 允许定义可选参数的函数。但也有完全允许任意数目的函数参数的方法。以下是可选参数的例子：</p>
<table>
<tbody>
<tr>
<td>
            <br />以下为引用的内容：</p>
<p>// function with 2 optional arguments<br />
            function foo($arg1 = '', $arg2 = '') {</p>
<p> echo "arg1: $arg1n";<br />
             echo "arg2: $arg2n";</p>
<p>}</p>
<p>foo('hello','world');<br />
            /* prints:<br />
            arg1: hello<br />
            arg2: world<br />
            */</p>
<p>foo();<br />
            /* prints:<br />
            arg1:<br />
            arg2:<br />
            */</p>
</td>
</tr>
</tbody>
</table>
<p>现在让我们看看如何建立能够接受任何参数数目的函数。这一次需要使用 func_get_args() 函数：</p>
<table>
<tbody>
<tr>
<td>
            <br />以下为引用的内容：</p>
<p>// yes, the argument list can be empty<br />
            function foo() {</p>
<p> // returns an array of all passed arguments<br />
             $args = func_get_args();</p>
<p> foreach ($args as $k =&gt; $v) {<br />
              echo "arg".($k+1).": $vn";<br />
             }</p>
<p>}</p>
<p>foo();<br />
            /* prints nothing */</p>
<p>foo('hello');<br />
            /* prints<br />
            arg1: hello<br />
            */</p>
<p>foo('hello', 'world', 'again');<br />
            /* prints<br />
            arg1: hello<br />
            arg2: world<br />
            arg3: again<br />
            */</p>
</td>
</tr>
</tbody>
</table>
<p>2、使用 Glob() 查找文件</p>
<p>许多 PHP 函数具有长描述性的名称。然而可能会很难说出 glob() 函数能做的事情，除非你已经通过多次使用并熟悉了它。可以把它看作是比 scandir() 函数更强大的版本，可以按照某种模式搜索文件。</p>
<table>
<tbody>
<tr>
<td>
            <br />以下为引用的内容：</p>
<p>// get all php files<br />
            $files = glob('*.php');</p>
<p>print_r($files);<br />
            /* output looks like:<br />
            Array<br />
            (<br />
                [0] =&gt; phptest.php<br />
                [1] =&gt; pi.php<br />
                [2] =&gt; post_output.php<br />
                [3] =&gt; test.php<br />
            )<br />
            */</p>
</td>
</tr>
</tbody>
</table>
<p>你可以像这样获得多个文件：</p>
<table>
<tbody>
<tr>
<td>
            <br />以下为引用的内容：</p>
<p>// get all php files AND txt files<br />
            $files = glob('*.{php,txt}', GLOB_BRACE);</p>
<p>print_r($files);<br />
            /* output looks like:<br />
            Array<br />
            (<br />
                [0] =&gt; phptest.php<br />
                [1] =&gt; pi.php<br />
                [2] =&gt; post_output.php<br />
                [3] =&gt; test.php<br />
                [4] =&gt; log.txt<br />
                [5] =&gt; test.txt<br />
            )<br />
            */</p>
</td>
</tr>
</tbody>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 19:56:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ae%b9/" title="内容">内容</a>, <a href="https://www.iamivan.net/tag/hello/" title="Hello">Hello</a>, <a href="https://www.iamivan.net/tag/files/" title="files">files</a>, <a href="https://www.iamivan.net/tag/foo/" title="foo">foo</a>, <a href="https://www.iamivan.net/tag/php-%e5%ae%9e%e7%94%a8%e5%87%bd%e6%95%b03/" title="&lbrack;PHP&rsqb;实用函数3">&lbrack;PHP&rsqb;实用函数3</a>, <a href="https://www.iamivan.net/tag/php-%e5%ae%9e%e7%94%a8%e5%87%bd%e6%95%b05/" title="&lbrack;PHP&rsqb;实用函数5">&lbrack;PHP&rsqb;实用函数5</a>, <a href="https://www.iamivan.net/tag/php%e5%ae%9e%e7%94%a8%e5%8a%9f%e8%83%bd/" title="php实用功能">php实用功能</a>, <a href="https://www.iamivan.net/tag/php-%e5%ae%9e%e7%94%a8%e5%87%bd%e6%95%b09/" title="&lbrack;PHP&rsqb;实用函数9">&lbrack;PHP&rsqb;实用函数9</a>, <a href="https://www.iamivan.net/tag/glob%e5%87%bd%e6%95%b0/" title="glob函数">glob函数</a>, <a href="https://www.iamivan.net/tag/php-%e5%ae%9e%e7%94%a8%e5%87%bd%e6%95%b04/" title="&lbrack;PHP&rsqb;实用函数4">&lbrack;PHP&rsqb;实用函数4</a>, <a href="https://www.iamivan.net/tag/php-%e5%ae%9e%e7%94%a8%e5%87%bd%e6%95%b02/" title="&lbrack;PHP&rsqb;实用函数2">&lbrack;PHP&rsqb;实用函数2</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>9个必须知道的实用PHP函数和功能的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mydo2Eb.html" rel="bookmark">PHP几个实用自定义函数小结&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了PHP几个实用自定义函数.分享给大家供大家参考,具体如下: 最近在看代码,发现以下是几个比较实用的函数. 1.取客户端IP function getOnlineIp() { $strOnlineIp = &quot;&quot;; if(getenv('HTTP_CLIENT_IP') &amp;&amp; strcasecmp(getenv('HTTP_CLIENT_IP'), 'unknown')) { $onlineip = getenv('HTTP_CLIENT_IP'); } el			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8ZEv9b.html" rel="bookmark">win7非常实用的自带功能之放大镜</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在电脑肯定是家家户户都有了,而如果有老人家要使用电脑,肯定会感觉到字体非常小,或者是自己有的时候忘了带眼睛了,也可以临时用这个方法来变大win7系统屏幕或者窗口的大小,让你能看清楚电脑上的字. 1 自带功能之放大镜 可以进行全屏放大,也可以进行局部放大.放大的倍数可以直接调节从百分100到无限.也可以设置为随着鼠标的移动来放大.非常好用. 2 调用win7放大镜的方法: 通过按下Win+&quot;+&quot;来调用,当已经弹出了可以用这快捷键来增大倍数,用win+&quot;-&quot;来减少倍数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6NG9oM.html" rel="bookmark">sts怎么设置对象点后自动显示所有函数的功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 sts怎么设置对象点后自动显示所有函数的功能 sts怎么设置对象点后自动显示所有函数的功能................................... 解决方案 什么意思?没动楼主你的意思			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqgGxb.html" rel="bookmark">c-哪位知道下面这个函数的功能啊！谢谢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 哪位知道下面这个函数的功能啊!谢谢 int HOUS(double c[][MMax] double d[] double x[] double eps double &amp;rd int m int n){/* c: c[1..n][1..m] d: d[1..n] m: the number of unknown n: the number of equations rd: ||d+cx||*/ double lk ckk beta sm; double qk[MMax] ad[MMax			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqR0LZp.html" rel="bookmark">pgadmin3开启函数调试功能报错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 pgadmin3开启函数调试功能报错 OS: win10 pro 64bit DB: postgresql 9.4.7 设置debug插件路径后,重启服务就报错了,postgresql.conf恢复后服务可启动,明显是插件设置导致的启动失败,但是在同事机器上按上面的操作就能成功,实在想不出是哪里不一样.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvnl86M.html" rel="bookmark">oracle-Oracle里我记得有一个函数的功能是分组后可以显示组里的其他数据&comma;不单单显示组名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Oracle里我记得有一个函数的功能是分组后可以显示组里的其他数据,不单单显示组名 我根据名字分组后 (SELECT NAME FROM EMP GROUP BY NAME),显示A B C,但是我还想显示A,B,C下面的id 解决方案 wm_concat 函数 解决方案二: 你说的是group by吧??? 解决方案三: 你可以在group by 分组后,使用函数为max(),min()等显示非分组的字段 解决方案四: 分析函数,例如 select ename,deptno,sum(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NDW0z.html" rel="bookmark">常用的JQuery函数及功能小结&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.文档加载完成执行函数 $(document).ready(function(){ alert(&quot;开始了&quot;); }); 2.添加/删除CSS类 $(&quot;#some-id&quot;).addClass(&quot;NewClassName&quot;); $(&quot;#some-id&quot;).removeClass(&quot;ClassNameToBeRemoved&quot;); 3.选择符 利用了CSS和Xpath(XML Path Language)选择符的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOneNqp.html" rel="bookmark">前端-我修改了一个javascript函数，功能一样，但不能正常运行 。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我修改了一个javascript函数,功能一样,但不能正常运行 . 原函数来自&lt;Javascript DOM 编程艺术(第二版)&gt; 这里是原函数: http://paste.ubuntu.com/8963863/ 相对应的HTML代码和另外两个运行所需的函数如下: HTML: http://paste.ubuntu.com/8964733/ 两个运行要调用的函数: http://paste.ubuntu.com/8964726/http://paste.ubuntu.com/8964			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqqokRM.html" rel="bookmark">谷歌搜索结果页面增图形函数计算器功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要: 谷歌搜索结果页面增加图形函数计算器功能( 腾讯科技配图) 心形图案(腾讯科技配图) 可对图形进行放大缩小操作(腾讯科技配图) 北京时间12月6日消息,据专门关注搜索产业发展动向的美 谷歌搜索结果页面增加图形函数计算器功能(腾讯科技配图) 心形图案(腾讯科技配图) 可对图形进行放大缩小操作(腾讯科技配图) 北京时间12月6日消息,据专门关注搜索产业发展动向的美国科技博客网站SearchEngineLand报道,谷歌技术工程师阿迪·阿维多尔(Adi Avidor)周一在一则博文中宣布,谷歌搜			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvK8rp.html" rel="bookmark" class="title">PS快速制作仿红外线风景图片</a>
					<div>
						  红外线效果有点类似冬季的雪景效果,不过不掌握方法是很难做好的.笔者介绍的方法非常精简,过程:先用通道混合器调整红通道参数;然后用黑白调整图层直接把天空以外的主色转为白色;后期微调颜色,再增强细节即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx9Xjp.html" rel="bookmark" class="title">用ASP设计购物推车</a>
					<div>
						设计     你一定去过超级市场吧.在那里你可以推着推车,将中意的商品放进推车,或者把推车里的商品取出来重新放到货架,最后你推着推车去结账. 那么,在网上超市,客户也应该可以在浏览商品目录时,将中意的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8DR3p.html" rel="bookmark" class="title">看人家用使用InstallShield制作ASP安装程序 &lpar;续&rpar;</a>
					<div>
						installshield|程序 6.3版好象是用事件驱动的:///////////////////////////////////////////////////////////////////// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV14Kp.html" rel="bookmark" class="title">asp&period;net forums中定时器的应用</a>
					<div>
						asp.net|定时 在Asp.Net中使用定时器,破宝之前已有Blog写过&lt;在 ASP.NET 中使用计时器(Timer)&gt;,这里主要针对Asp.Net Forums来说一下其具体实现. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgaR6z.html" rel="bookmark" class="title">快速提升老网站的关键词排名至百度第1页</a>
					<div>
						公司网站创建于2008年11月,原来对网络营销不懂,一直采用竞价排名的方式开展业务,但投入与产出基本持平,甚至还有些入不敷出.后于2010年7月听人忽悠可以做网络优化,于是委托其处理,承诺五个关键词三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AYgqp.html" rel="bookmark" class="title">Outlook Calendar中如何利用工作周来定义周期</a>
					<div>
						美国同事做事时喜欢用第几个工作周来定义周期,因此有同事问我如何在outlook中实现这一功能.查了下,Tools-Options-Preferences-Calendar-show week numb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Kn8b.html" rel="bookmark" class="title">全面解析Oracle developer的异常处理机制</a>
					<div>
						Oracle developer以其快速的数据处理开发而闻名,其异常处理机制也是比较完善,不可小觑. 1. 异常的优点 如果没有异常,在程序中,应当检查每个命令的成功还是失败,如 BEGIN SELE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLYKeb.html" rel="bookmark" class="title">在SPItemEventReceiver中使用BeforeProperties和AfterProperties</a>
					<div>
						正如你所知道的,事件接收器(EventHandler)非常强大,可以挂在许多SharePoint事件上.它们可以应用于功能 (Feature)事件,如FeatureActivated,列表事件,如FI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElBEJz.html" rel="bookmark" class="title">Adobe Photoshop Lightroom快速修图技巧</a>
					<div>
						  1. 使用明亮度改善天空 在晴朗的日空下,你可能会觉得很容易拍出漂亮的蓝色天空.不幸的是,如果保证了处于阴影中的被摄体曝光准确,那么天空往往就会过曝,失去大量细节. 在Lightroom中,你可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmEAdz.html" rel="bookmark" class="title">QQ for Windows 8版本出现卡死怎么办</a>
					<div>
						腾讯QQ for Windows 8版本在Win8 Metro界面的体验目前并不是太好,除了没有中文,功能不齐全外,还有联系人列表出现卡死的BUG.腾讯官方给出了解决方法:Windows 8系统用户名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWLnZp.html" rel="bookmark" class="title">暴风转码到电视上看选什么格式？</a>
					<div>
						  暴风转码到电视上看选什么格式?很多网友都会使用暴风转码这款软件将视频转码之后,放在电视上观看.不过,大家知道:暴风转码到电视上看选什么格式吗?在今天的教程中,我们就给大家分享一些可以在电视上播放的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3x1mp.html" rel="bookmark" class="title">php session&lowbar;start&lpar;&rpar;关于Cannot send session cache limiter - headers already sent错误解决方法&lowbar;php技巧</a>
					<div>
						说是已经有输出,用编辑器打,前面明明什么都没有,原来在使用AJAX的 时候,也出现过这种情况,后来,把这个PHP文件放到linux中打开,会发现,在文件的最前面,会出现&quot;锘 &quot;这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2Gjqb.html" rel="bookmark" class="title">ODPS SQL费用估算与控制</a>
					<div>
						 MaxCompute  ODPS SQL费用估算与控制   作者:顾飞 一 需求背景 费用挑战 ODPS老用户应该都了解过其计费方式,如果不清楚计费方式,可以参考阿里云文章:https://help ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkXwVb.html" rel="bookmark" class="title">组织会议和预定会议室一分钟搞定</a>
					<div>
						&quot;小陈,早呀.请问......&quot; &quot;小鹏,抱歉,今天早上太忙,有事咱们迟点沟通,可以吗?&quot; &quot;一大早,你怎就这么忙?&quot; &quot;老板临时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4Vg9z.html" rel="bookmark" class="title">java源码-控制输出精确小数点的问题</a>
					<div>
						问题描述 控制输出精确小数点的问题 这个题目怎么实现啊,一点点的思路都没有,不知道如何去计算,谁能给我个java源码啊???????????????????????? 解决方案 DecimalForm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkN8lM.html" rel="bookmark" class="title">physicaloid-Android向usb外设写数据的功能，查到网上有个Physicaloid的开源项目</a>
					<div>
						问题描述 Android向usb外设写数据的功能,查到网上有个Physicaloid的开源项目 不过我只在网上找到了该项目的源代码,还有官网. 没有详细资料,有没有人有详细资料的,求大神支援! 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod6agM.html" rel="bookmark" class="title">MongoDB 稀疏&lpar;间隙&rpar;索引&lpar;Sparse Indexes&rpar;</a>
					<div>
						稀疏索引(或者称间隙索引)就是只包含有索引字段的文档的条目,即使索引字段包含一个空值.也就是说间隙索引可以跳过那些索引键不存在的文档.因为他并非包含所有的文档,因此称为稀疏索引.与之相对的非稀疏索引或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xYEvb.html" rel="bookmark" class="title">用历史应对威胁情报数据过载挑战</a>
					<div>
						本文讲的是用历史应对威胁情报数据过载挑战 ,没过滤的威胁情报应用到防御上,只会产生大量误报. 有句名言说过:&quot;那些不记得过去的人注定要重蹈覆辙.&quot;想必正看此文的各位还记得网络安全早 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnevOM.html" rel="bookmark" class="title">从盲目投入到理性应用 域名交易市场趋成熟</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 我国域名相关产业规模超过42亿元,从业人数超过了10万人,在刚刚召开的我国首届域名大会上,中国互联网络信息中心(CNNIC)发布的&lt;中国域名产业报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEYkKM.html" rel="bookmark" class="title">Cocos2d入门--1--初涉相关属性或代码</a>
					<div>
						Cocos2d vision: cocos2d-x-3.8.1 万丈高楼,起于累土.对于一个游戏框架的学习,其实在于框架功能的使用积累,学会了如何在cocos2d游戏引擎的基础上使用它提供的各种功能, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkXVlM.html" rel="bookmark" class="title">Jennifer Null &mdash;&mdash; 导致计算机出错的名字</a>
					<div>
						当 Jennifer Null 试图在线购买机票,她在大多数网站上都遇到了出错信息,她被告知在姓一栏没有输入任何字符,要求她重试一次.对程序员来说,原因十分简单:Null这个单 词会导致数据库出错,原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWrw8z.html" rel="bookmark" class="title">英特尔投资中国区：企业估值过高正在健康调整</a>
					<div>
						英特尔投资中国区董事总经理许盛渊 新浪科技 郑峻 发自美国加州 第13届英特尔投资峰会本周在美国加州亨廷顿海滩召开.在投资峰会期间,英特尔中国区董事总经理许盛渊接受了包括新浪科技的中国区媒体采访.他谈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkR6OM.html" rel="bookmark" class="title">CentOS下搭建PHP环境与WordPress博客程序的全流程总结&lowbar;php实例</a>
					<div>
						环境 服务器操作系统:CentOS 7.0 博客部署服务器:Apache 后台语言:PHP 数据库:MySql 前端框架:WordPress 步骤 一.安装Apache 安装 Apache 很简单,只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q8lXM.html" rel="bookmark" class="title">php使用imagick模块实现图片缩放、裁剪、压缩示例&lowbar;php实例</a>
					<div>
						PHP 使用Imagick模块 缩放,裁剪,压缩图片 包括gif图片 缩放 裁剪 复制代码 代码如下: /**  * 图片裁剪  * 裁剪规则:  *   1. 高度为空或为零   按宽度缩放 高度自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2Ymkz.html" rel="bookmark" class="title">网络搜索的技术、模式与竞争走势-搜索引擎技术</a>
					<div>
						搜索市场,扩疆拓土者众,彼此间的竞争上升为&quot;白热化&quot;.这是因为搜索已经成为互联网第二大应用,并被称为&quot;电子商务的基石&quot;.&quot;互联网的战略核心&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkrVaM.html" rel="bookmark" class="title">mysql、mssql及oracle分页查询方法详解&lowbar;数据库其它</a>
					<div>
						本文实例讲述了mysql.mssql及oracle分页查询方法.分享给大家供大家参考.具体分析如下: 分页查询在web开发中是最常见的一种技术,最近在通过查资料,有一点自己的心得 一.mysql中的分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7A5Db.html" rel="bookmark" class="title">oracle 中常用时间日期函数使用详解</a>
					<div>
						--日期相关函数 --1.day(date_time),返回一个整数,表示指定日期的datepart中的日子.month(date_time),year(date_time)类似 SELECT DAY ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj83RNp.html" rel="bookmark" class="title">文件扩展名不存在的文件图标</a>
					<div>
						问题描述 怎么可以获得文件扩展名不存在的文件图标例如1..a文件 2.pdf阅读器卸载后的.pdf文件					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXXXlz.html" rel="bookmark" class="title">ORACLE 时间 时区转换问题 急 急 急 怎么获取Europe&sol;Athens时区的SYSDATE</a>
					<div>
						问题描述 怎么获取Europe/Athens时区的SYSDATE 解决方案 The current Europe/Athens time zone offset is:UTC/GMT +3 hou或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW5krM.html" rel="bookmark" class="title">最新iOS已修正SSL验证问题，但OS X系统仍然有危险</a>
					<div>
						昨天,苹果发布了iOS 7.0.6升级补丁,主要修正了SSL连接验证问题.实际上,iOS 7.0.6修正的SSL问题属于系统级别的高危漏洞.在发布的支持文档中,苹果提到了7.0.6升级补丁将允许&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
